import unittest

from interface.storage.Volume import Volume


class TestVolume(unittest.TestCase):

    def test_fields(self):
        volume = Volume('id', 'image_id', 1, False, 'status', 'created_at')

        self.assertEqual(volume.id, 'id')
        self.assertEqual(volume.image_id, 'image_id')
        self.assertEqual(volume.size, 1)
        self.assertEqual(volume.bootable, False)
        self.assertEqual(volume.status, 'status')
        self.assertEqual(volume.created_at, 'created_at')


if __name__ == '__main__':
    unittest.main()
